rb_vm_tag Struct Reference

`#include <vm_core.h>`

## Data Fields

rb_jmpbuf_t | buf
VALUE | tag
VALUE | retval
struct rb_vm_tag * | prev

## Detailed Description

Definition at line 368 of file vm_core.h.

## Field Documentation

rb_jmpbuf_t rb_vm_tag::buf

Definition at line 369 of file vm_core.h.

struct rb_vm_tag* rb_vm_tag::prev

Definition at line 372 of file vm_core.h.

Referenced by rb_throw_obj().

VALUE rb_vm_tag::retval

Definition at line 371 of file vm_core.h.

Referenced by rb_catch_obj(), and rb_throw_obj().

VALUE rb_vm_tag::tag

Definition at line 370 of file vm_core.h.

Referenced by cont_restore_thread(), rb_catch_obj(), rb_f_catch(), and rb_throw_obj().

The documentation for this struct was generated from the following file:

- vm_core.h